﻿namespace HeuristicLab.Problems.ProgramSynthesis.Push.Interpreter {
  using System.Collections.Generic;

  using HeuristicLab.Problems.ProgramSynthesis.Push.Expressions;

  public interface IInternalPushInterpreter : IPushInterpreter {
    InterpreterPoolContainer PoolContainer { get; }
    bool IsNameQuoteFlagSet { get; set; }
    IReadOnlyList<Expression> InputExpressions { get; }
  }
}
